# Gimp.Image.undo_thaw

    @accepts(Gimp.Image)
    @returns(bool)
    def undo_thaw(self):
        # Python wrapper for gimp_image_undo_thaw()

Thaw the image's undo stack.

This procedure thaws the image's undo stack, allowing subsequent operations to store their undo steps. This is generally called in conjunction with Gimp.Image.undo_freeze to temporarily freeze an image undo stack. Gimp.Image.undo_thaw does NOT free the undo stack as Gimp.Image.undo_enable does, so is suited for situations where one wishes to leave the undo stack in the same state in which one found it despite non-destructively playing with the image in the meantime. An example would be in-situ plug-in previews. Balancing freezes and thaws and ensuring image consistency is the responsibility of the caller.

self

  The image.

Returns